body {
    padding: 30px;
    color: greenyellow;
    background-color: orchid
}
.gallery {
    display: grid;
    grid-template-columns: repeat(5, 300px);
    gap: 12px;
}

.gallery img {
    width: 250px;
    cursor: pointer;
}

.modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.8);
    display: none;
    align-items: center;
    justify-content: center;
}

.modal-content {
    background-color: black;
    width: 80%;
    height: 50%;
    display: flex;
    padding: 70px;

}

#modal-image {
    width: 80%;
    object-fit: contain;
}

.text-panel {
    width: 100%;
    padding: 2rem;
    overflow-y: auto;
    color: navajowhite;

}
#prev {
    left: 30px;
    top: 80%;
    transform: translateY(-50%);
}

#next {
    right: 20px;
    top: 80%;
    transform: translateY(-50%);
}

#close {
    top: 50px;
    right: 20px;
}
#prev,
#next,
#close {
    position: absolute;
    background: lightpink;
    border: none;
    font-size: 2rem;
    cursor: pointer;
    padding: 15px;
    border-radius: 90%;

}
#prev:hover,
#next:hover,
#close:hover {
    opacity: 0.6;
}
.join-button {
    position: fixed;

    top:  15px;
    right: 34px;

    z-index: 1000;

    font-family: "MS Sans Serif", sans-serif;
    font-size: 12px;

    padding: 10px 15px;

    background: #d4d0c8;
    border: 2px outset #d4d0c8;

    cursor: pointer;
}

.join-button:active {
    border-style: inset;
}body {
    padding: 30px;
    color: greenyellow;
    background-color: orchid
}
.gallery {
    display: grid;
    grid-template-columns: repeat(5, 300px);
    gap: 12px;
}

.gallery img {
    width: 250px;
    cursor: pointer;
}

.modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.8);
    display: none;
    align-items: center;
    justify-content: center;
}

.modal-content {
    background-color: black;
    width: 80%;
    height: 50%;
    display: flex;
    padding: 70px;

}

#modal-image {
    width: 80%;
    object-fit: contain;
}

.text-panel {
    width: 100%;
    padding: 2rem;
    overflow-y: auto;
    color: navajowhite;

}
#prev {
    left: 30px;
    top: 80%;
    transform: translateY(-50%);
}

#next {
    right: 20px;
    top: 80%;
    transform: translateY(-50%);
}

#close {
    top: 50px;
    right: 20px;
}
#prev,
#next,
#close {
    position: absolute;
    background: lightpink;
    border: none;
    font-size: 2rem;
    cursor: pointer;
    padding: 15px;
    border-radius: 90%;

}
#prev:hover,
#next:hover,
#close:hover {
    opacity: 0.6;
}
.join-button {
    position: fixed;

    top:  15px;
    right: 34px;

    z-index: 1000;

    font-family: "MS Sans Serif", sans-serif;
    font-size: 12px;

    padding: 10px 15px;

    background: #d4d0c8;
    border: 2px outset #d4d0c8;

    cursor: pointer;
}

.join-button:active {
    border-style: inset;
}